//
//  MDViewController.m
//  ModalDemo
//
//  Created by Felix Rohrer on 08.03.13.
//  Copyright (c) 2013 Felix Rohrer. All rights reserved.
//

#import "MDViewController.h"
#import "MDSecondViewController.h"
#import "MDThirdViewController.h"

@interface MDViewController ()

@end

@implementation MDViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    self.secondViewController = [[MDSecondViewController alloc] init];
    self.secondViewController.modalTransitionStyle = UIModalTransitionStyleCrossDissolve;
    
    self.thirdViewController = [[MDThirdViewController alloc] init];
    self.thirdViewController.modalTransitionStyle = UIModalTransitionStylePartialCurl;
    
    self.showCounter = 0;
}

- (void)viewWillAppear:(BOOL)animated {
    self.showCounter ++;
    self.counterLabel.text = [NSString stringWithFormat:@"%d", self.showCounter];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)secondViewButtonPressedWithSender:(UIButton *)sender {
    [self presentViewController:self.secondViewController animated:YES completion:nil];
    
}

- (IBAction)thirdViewButtonPressedWithSender:(UIButton *)sender {
    [self presentViewController:self.thirdViewController animated:YES completion:nil];
}

@end
